//genesis
include fb28a.g

float fastdt = 1e-5	// 10 usec for transients
float normdt = 1e-3 // 1 msec for regular timestep
float plotdt = 60 // 1 min for plots
float transient_time = 2 // time to run at fine timestep for transients
float PDGF_stim = 1.5e-3 // 1.5 nanomolar is a strong PDGF stimulus

// This little function handles the timesteps
function do_run(time)
	float time

	setclock 0 {fastdt}
	setclock 1 {fastdt}
	step {transient_time} -t
	
	setclock 0 {normdt}
	setclock 1 {normdt}
	step {time - transient_time} -t
end

// Set the graph time step to a large value so it starts after the
// stimulus
setclock 3 10000

reset
// Do the equilibration for 10000 sec at baseline
setfield /kinetics/PDGFR/PDGF CoInit 0
do_run 10000

// Set the graph plot time step to 1 minute so it starts plotting
setclock 3 {plotdt}
// Do stimulus for 5 sec
setfield /kinetics/PDGFR/PDGF CoInit {PDGF_stim}
do_run 300 

// Follow the response for 2 hours
setfield /kinetics/PDGFR/PDGF CoInit 0
do_run 7200

// Save the MAPK output
do_save_named_plot /graphs/conc1/MAPK*.Co fig1b.plot

quit
