//genesis
include fb28c.g

float fastdt = 1e-4
float normdt = 5e-3
float plotdt = 60
float fastdt_time = 2.0
float post_stim_time = 21600

function do_stage(time, level)
	float time
	float level

	setfield /kinetics/PDGFR/PDGF CoInit {level}
	setclock 0 {fastdt}
	setclock 1 {fastdt}
	step {fastdt_time} -t
	setclock 0 {normdt}
	setclock 1 {normdt}
	step {time - fastdt_time} -t
end

function do_run(conc)
	float conc

	float currmapk
	float currmkp

	setfield /kinetics/MAPK/Nucleotides CoInit {conc}
	setfield /kinetics/PDGFR/PDGF CoInit 0
	reset
	// Let the model settle down
	setclock 3 10000
	do_stage 10000 0

	// Apply the PDGF for 5 min
	setclock 3 {plotdt}
	do_stage 300 1.5e-3

	// Turn off PDGF, run for a while
	do_stage {post_stim_time} 0
	do_save_named_plot /graphs/conc1/tot_MAPK.Co series_{conc}.plot
end

do_run 0.001
do_run 0.002
do_run 0.005
do_run 0.01
do_run 0.02
do_run 0.03
do_run 0.04
do_run 0.05
do_run 0.06
do_run 0.07
do_run 0.08
do_run 0.082
do_run 0.085
do_run 0.087
do_run 0.09
do_run 0.1
do_run 0.12
do_run 0.15
do_run 0.2
do_run 0.3
do_run 0.4
do_run 0.5
do_run 0.6
do_run 0.8
do_run 1
quit
