//genesis
include fb28a.g

float fastdt = 1e-5
float normdt = 1e-3
float plotdt = 60

function do_conc(conc)
	float conc

	setfield /kinetics/PDGFR/PDGF CoInit 0
	reset
	// Let the model settle down
	setclock 0 {fastdt}
	setclock 1 {fastdt}
	step 2 -t
	setclock 0 {normdt}
	setclock 1 {normdt}
	step 9998 -t

	// Apply the PDGF for 5 min
	setfield /kinetics/PDGFR/PDGF CoInit {conc}

	setclock 0 {fastdt}
	setclock 1 {fastdt}
	step 2 -t
	setclock 0 {normdt}
	setclock 1 {normdt}
	step 298 -t

	// Turn off PDGF, wait for 30 min
	setfield /kinetics/PDGFR/PDGF CoInit 0

	setclock 0 {fastdt}
	setclock 1 {fastdt}
	step 2 -t
	setclock 0 {normdt}
	setclock 1 {normdt}
	step 1798 -t
	
	// Convert conc in uM to ng/ml
	echo {conc/0.00003} {getfield /kinetics/MAPK* Co} >> fig4a.plot
end

// 1 ng/ml = 3e-14 mole/1e-3 l = 3e-11 M = 0.03 nM.

reset
setclock 3 {plotdt}
do_conc 0.000002 // stimulus concs in uM
do_conc 0.000005
do_conc 0.00001
do_conc 0.00002
do_conc 0.00005
do_conc 0.0001
do_conc 0.0002
do_conc 0.0005
do_conc 0.001
do_conc 0.0015
quit
