//genesis
include ../../fb28a.g

float fastdt = 1e-4
float normdt = 5e-3
float plotdt = 60
float fastdt_time = 2.0
float post_stim_time = 1800 // 1/2 hour.

function do_stage(time, level)
	float time
	float level

	setfield /kinetics/PDGFR/PDGF CoInit {level}
	setclock 0 {fastdt}
	setclock 1 {fastdt}
	step {fastdt_time} -t
	setclock 0 {normdt}
	setclock 1 {normdt}
	step {time - fastdt_time} -t
end

function do_conc(conc)
	do_stage {post_stim_time} {conc}
	// Convert conc in uM  to ng/ml
	echo {conc/0.00003} {getfield /kinetics/MAPK* Co} >> fig4c.plot
end

setclock 3 {plotdt}

setfield /kinetics/MKP-1 CoInit 0 // No MKP-1 to start
setfield /kinetics/MKP-2 CoInit 0.01 // High MKP-2
setfield /kinetics/PDGFR/PDGF CoInit 0 // Start at zero stimulus
reset
	// Let the model settle down
do_stage 10000 0

do_conc 1e-5 // These concs are in uM.
do_conc 2e-5
do_conc 5e-5
do_conc 1e-4
do_conc 2e-4
do_conc 5e-4
do_conc 1e-3
do_conc 2e-3
do_conc 5e-3

quit
