//genesis
include fb28c.g

float fastdt = 1e-5
float normdt = 2e-3
float fastdt_time = 2.0
float plotdt = 60

function do_stage(time, level)
	float time
	float level

	setfield /kinetics/PDGFR/PDGF CoInit {level}
	setclock 0 {fastdt}
	setclock 1 {fastdt}
	step 2 -t
	setclock 0 {normdt}
	setclock 1 {normdt}
	step {time - fastdt_time} -t
end

function do_conc(conc)
	float conc

	setfield /kinetics/PDGFR/PDGF CoInit 0
	reset

	setclock 3 10000	// Disable the plot for settling time
	do_stage 10000 0	// Let the model settle down

	setclock 3 {plotdt}	// Re-enable the plot
	do_stage 300 {conc} // Apply the PDGF for 5 min at varying levels

	do_stage 3600 0 	// Turn off PDGF, wait for 60 min

	do_stage 300 0.0015	// Apply the PDGF for 5 min at fixed high level

	do_stage 1800 0		// Turn off PDGF, wait for 30 min

	// Convert PDGF conc to ng/ml
	echo {conc/0.00003} {getfield /kinetics/tot_MAPK Co} >> fig5b.plot
	do_save_named_plot /graphs/conc1/tot_MAPK.Co fig5a_{conc}.plot
end

// 1 ng/ml = 3e-14 mole/1e-3 l = 3e-11 M = 0.03 nM.

do_conc 0.000002	// conc of PDGF in uM
do_conc 0.000005
do_conc 0.00001
do_conc 0.00002
do_conc 0.00005
do_conc 0.0001
do_conc 0.0002
do_conc 0.0005
do_conc 0.001
do_conc 0.01
quit
